<?php
 /**
 * BadWords Module
 *
 * @author Artem Demchenkov <lunoxot@mail.ru>
 * @version 0.0.1
 *
 * The component for replacement bad words on ***. It's intended for forms, which can be can be filled by users. Base is complete for russian words especially, but you can complete personal base of words in BadWords.php.
 * 
 * Requirements
 * 
 * Yii 1.1.x 
 *
 * Installation:
 *
 * 1) Copy this file in /protected/components/
 *
 * 2) Add this component in /protected/config/main.php
 *
 *    'components'=>array(
 *        .........
 *        'badWords' => array(
 *            'class' => 'badWords'
 *        )
 *        .........
 *    ),
 *
 *  Usage
 * 
 *  1) In model rules()
 *     "surname" and "name" - it's the names of properties in your model)
 *
 *     array('surname, name', 'filter', 'filter'=>array("BadWords", "replacement")),
 *
 *   2) Like a method
 *   
 *     $name = Yii::app()->badWords->replacement($name);
 *
 */
 
class BadWords extends CApplicationComponent
{
	public function replacement($string)
    {
		$words = array("#атпиздеть#ius", "#атсасал#ius", "#атсаси#ius", "#бля#ius", "#бляд#ius", "#блядина#ius", "#блядища#ius", "#блядище#ius", "#блядки#ius", "#блядов#ius", "#блядств#ius", "#бляду#ius", "#блядун#ius", "#блядств#ius", "#блядь#ius", "#блять#ius", "#блядюга#ius", "#бляtь#ius", "#вхуяри#ius", "#въеба#ius", "#выеба#ius", "#выебу#ius", "#выебыва#ius", "#выёбыва#ius", "#выпизде#ius", "#выпиздить#ius", "#дахуя#ius", "#доеба#ius", "#долбоеб#ius", "#допизде#ius", "#допизды#ius", "#до-пизды#ius", "#дохуя#ius", "#дуроеб#ius", "#ебaн#ius", "#ебал#ius", "#ебало#ius", "#ебальник#ius", "#ебан#ius", "#ёбан#ius", "#ебанат#ius", "#ебанный#ius", "#ёбанный#ius", "#ебану#ius", "#ёбану#ius", "#ебанут#ius", "#ебарь#ius", "#ёбарь#ius", "#ебать#ius", "#ебаться-сраться#ius", "#ебет#ius", "#ебеш#ius", "#ебещ#ius", "#ебистика#ius", "#ебическая#ius", "#еблaн#ius", "#еблo#ius", "#ёбла#ius", "#еблан#ius", "#еблан#ius", "#еблише#ius", "#еблище#ius", "#ебло#ius", "#ебло#ius", "#еблысь#ius", "#ебля#ius", "#ёбля#ius", "#ебнy#ius", "#ебну#ius", "#ебну#ius", "#ёбну#ius", "#ебс#ius", "#ёбс#ius", "#ебу#ius", "#ебут#ius", "#ебуч#ius", "#ебучий#ius", "#жопа#ius", "#жопе#ius", "#жопист#ius", "#жопн#ius", "#жопу#ius", "#жопы#ius", "#заеб#ius", "#заёб#ius", "#заебан#ius", "#заёбан#ius", "#заебат#ius", "#заебаши#ius", "#заебени#ius", "#заебись#ius", "#залуп#ius", "#запизде#ius", "#затрах#ius", "#захуяри#ius", "#злоебуч#ius", "#испизди#ius", "#исхуячи#ius", "#мyдak#ius", "#мyдaк#ius", "#мyдак#ius", "#манда#ius", "#мандавощ#ius", "#мандовош#ius", "#мозгоеб#ius", "#мозгоёб#ius", "#мудaк#ius", "#мудак#ius", "#мудак#ius", "#мудак#ius", "#муди#ius", "#мудила#ius", "#муден#ius", "#мудоеб#ius", "#мудоёб#ius", "#мудозвон#ius", "#мудя#ius", "#нaxyй#ius", "#наебну#ius", "#напизде#ius", "#напизди#ius", "#настоеба#ius", "#нахуй#ius", "#нахуй#ius", "#нахуяри#ius", "#нехуй#ius", "#нихуя#ius", "#объебать#ius", "#объеба#ius", "#однохуйстве#ius", "#опиздинеть#ius", "#остопизде#ius", "#остопиздел#ius", "#отпизд#ius", "#отсосал#ius", "#отъеба#ius", "#отъеби#ius", "#охуен#ius", "#охуенн#ius", "#охует#ius", "#охуел#ius", "#охуительн#ius", "#охуячи#ius", "#педафил#ius", "#пездень#ius", "#перехуяри#ius", "#пидар#ius", "#пидоp#ius", "#пидорас#ius", "#пидарас#ius", "#пидрик#ius", "#пизд#ius", "#пиздa#ius", "#пиздaбoл#ius", "#пиздaбол#ius", "#пиздeц#ius", "#пизда#ius", "#пиздаеб#ius", "#пиздаёб#ius", "#пиздану#ius", "#пиздану#ius", "#пиздарван#ius", "#пизде#ius", "#пиздеж#ius", "#пиздёж#ius", "#пизденыш#ius", "#пиздёныш#ius", "#пиздец#ius", "#пизди#ius", "#пиздить#ius", "#пиздо#ius", "#пиздобол#ius", "#пиздобратия#ius", "#пиздой#ius", "#пиздорван#ius", "#пиздошить#ius", "#пиздуй#ius", "#пиздун#ius", "#пиздюк#ius", "#пиздюлей#ius", "#пиздюли#ius", "#пиздюлин#ius", "#подъебну#ius", "#поебать#ius", "#поебень#ius", "#попизде#ius", "#попизди#ius", "#пох#ius", "#похуй#ius", "#похуй#ius", "#похуярил#ius", "#приеба#ius", "#приебал#ius", "#припизди#ius", "#прихуяри#ius", "#проблядь#ius", "#проеб#ius", "#проёб#ius", "#проеба#ius", "#проебал#ius", "#пропизд#ius", "#разъеб#ius", "#разъёб#ius", "#разъеба#ius", "#разъебанн#ius", "#разъёбанн#ius", "#распиздон#ius", "#распиздяй#ius", "#спермогл#ius", "#спизде#ius", "#спизди#ius", "#схуяри#ius", "#съеба#ius", "#сука#ius", "#тpaхат#ius", "#тpаxат#ius", "#уебак#ius", "#уебал#ius", "#уебки#ius", "#уебок#ius", "#уёбок#ius", "#уебыва#ius", "#уёбыва#ius", "#упиздил#ius", "#упиздить#ius", "#хyeвo#ius", "#худоебина#ius", "#худоёбина#ius", "#хуебрат#ius", "#хуев#ius", "#хуёв#ius", "#хуевo#ius", "#хуевате#ius", "#хуевато#ius", "#хуевин#ius", "#хуево#ius", "#хуёво#ius", "#хуёвый#ius", "#хуеглот#ius", "#хуегрыз#ius", "#хуем#ius", "#хуе-мое#ius", "#хуё-моё#ius", "#хуеплёт#ius", "#хуеплет#ius", "#хуепутало#ius", "#хует#ius", "#хуила#ius", "#хуило#ius", "#хуй#ius", "#хуйло#ius", "#хуйну#ius", "#хуйню#ius", "#хуйня#ius", "#хуйня#ius", "#хули#ius", "#хуяк#ius", "#хуями#ius", "#хуяч#ius", "#хуячить#ius", "#хуячу#ius", "#чмo#ius", "#чмо#ius", "#срака#ius", "#сраки#ius", "#fuck#ius", "#fuckoff#ius");
        return preg_replace($words, "***", $string);
    }
}

?>
